"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VersionDropdownWithMultipleVersions = exports.VersionDropdownWithOneVersion = void 0;
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const documenter_theme_theme_compositions_1 = require("@teambit/documenter.theme.theme-compositions");
const version_dropdown_1 = require("./version-dropdown");
const style = { display: 'flex', justifyContent: 'center', alignContent: 'center' };
const VersionDropdownWithOneVersion = () => {
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(version_dropdown_1.VersionDropdown, { useComponentVersions: () => ({
                tags: [{ version: '0.1' }],
            }), currentVersion: "0.1" })));
};
exports.VersionDropdownWithOneVersion = VersionDropdownWithOneVersion;
const VersionDropdownWithMultipleVersions = () => {
    const versions = ['0.3', '0.2', '0.1'].map((version) => ({ version }));
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(react_router_dom_1.MemoryRouter, null,
            react_1.default.createElement(version_dropdown_1.VersionDropdown, { useComponentVersions: () => ({
                    tags: [{ version: '0.1' }],
                }), currentVersion: versions[0].version }))));
};
exports.VersionDropdownWithMultipleVersions = VersionDropdownWithMultipleVersions;
//# sourceMappingURL=version-dropdown.composition.js.map